Questions avec tag 'pkg-config'

8
réponses

Variable d'environnement PKG_CONFIG_PATH

Envisagez d'ajuster la variable d'environnement PKG_CONFIG_PATH si vous logiciel installé dans un préfixe non standard. Qu'est-ce que cela signifie?     
posée 31.10.2012 - 20:00
1
réponse

Pkg-Config Error (Pas de fichier ou répertoire)

si j'essaie de compiler le code du tutoriel pour GTK3 avec la commande gcc simple.c -o simple 'pkg-config --libs --cflags gtk+-3.0' il dégage l'erreur gcc: error: pkg-config --libs --cflag gtk+-3.0: No such file or directory Cependant,...
posée 20.11.2012 - 06:47
2
réponses

Erreur lors de l'exécution de ./configure sur la source Ubiquity

J'ai ajouté un correctif à la source Ubiquity et je tente de le construire et de l'installer pour le tester, mais j'obtiens l'erreur suivante lorsque j'exécute ./configure , checking for pkg-config... /usr/bin/pkg-config checking pkg-config...
posée 20.01.2011 - 20:37
2
réponses

Pourquoi «pkg-config» n'imprime-t-il qu'un espace vide avec l'option «--cflags»?

J'ai installé libcurl en utilisant: sudo apt-get install libcurl4-openssl-dev . Quand j'essaie de compiler mon programme, j'ai lu que nous devions passer où libcurl est situé dans le compilateur GCC (bien que pour moi il se trouve dans / usr /...
posée 22.07.2012 - 05:07
2
réponses

Impossible d'installer le paquet geojson pour R

J'ai Ubuntu 16.04 et R 3.4.3. Quand je cours install.packages("geojson", dep=TRUE) dans R, j'obtiens l'erreur suivante:    la dépendance ‘protolite’ n’est pas disponible pour le paquetage ‘geojson’ Je cours donc install.packages("p...
posée 01.03.2018 - 12:11
1
réponse

Comment installer IDL 8.4 à partir d'un fichier d'installation .pkg sur Ubuntu?

Je voudrais installer l'IDL 8.4 sur mon Ubuntu 14.04 ... L'installation nécessite de démarrer l'application d'installation Install_IDLENVI.pkg. Tout ce que j'ai essayé jusqu'ici en suivant différents conseils sur des forums (vin, autres appli...
posée 07.04.2015 - 17:13
0
réponses

Résoudre pkg-config aux paquets

J'essaie de construire quelque chose à partir des sources, et la configuration me dit quelque chose comme ceci: checking for foo... Package foo was not found in the pkg-config search path. Je dois donc installer le package de développement...
posée 19.07.2014 - 23:31
0
réponses

Pkg-config manque de nombreux fichiers pc

J'ai essayé de compiler une gargouille et de continuer à obtenir l'erreur de mise en attente. Package fontconfig was not found in the pkg-config search path. Perhaps you should add the directory containing 'fontconfig.pc' to the PKG_CONFIG_PAT...
posée 31.05.2013 - 10:23
1
réponse

erreur de compilation: la bibliothèque est installée (la politique apt-cache le montre) mais pkg-config ne le trouve pas

Je suis désolé, je n'ai pas d'expérience avec gcc et l'installation de paquets à partir de sources, et je ne peux pas résoudre mon problème: J'essaie d'installer ncmpcpp depuis le source ( github ) sur Ubuntu 14.04 (la raison en est que les...
posée 08.01.2016 - 13:28
1
réponse

“pkg-config --modversion glib-2.0” rapporte une version plus ancienne

J'ai Ubuntu 14.04 32 bits. J'essaie de compiler une application à partir du code source. Cela me donne un message d'erreur lors de la liaison dans le processus make , bien que ./autogen.sh et ./configure aient passé sans erreur. J'ai cet...
posée 25.06.2014 - 23:20